[BLFS Trac] #2003: Vim 7.0

Ag. Hatzimanikas a.hatzim at gmail.com
Sun Jan 14 15:19:23 PST 2007


On Sun, Jan 14, at 04:58 Bruce Dubbs wrote:
> > Comment (by Ag.Hatzim):
> > 
> >  I would like to see
> >  into the book the part about the various interpreters.
> > 
> >  Look at it in this way.
> >  Why someone has to rebuild vim after LFS?
> > 
> >  a) X
> > 
> >  1.gui.
> >  2.X11 selection.
> >  3.Various other reasons,like scripts that are designed (or work better)
> >  for the gui,like the tohtml script.
> > 
> >  b) Building against the various scripting languages (python,ruby,tcl)
> >  which
> >  wasn't present in the first build.
> >  The problem with this,is that you have to enable the various interpreters
> >  *manually*,because vim wisely it doesn't link against these languages no
> >  matter if they are present or not.
> >  So I believe that is something,that is worth mentioning in the
> >  instructions.
> 
> There is a third reason--someone wants to go back and update a package
> long after they have built the standard LFS system.  Or even if they
> want to update to the latest package for a non-LFS system.
> 

Yes ofcourse ,I had the intention to mention this reason,I simply forgot
it.  

> If you still think additional explanation is necessary, please give us
> some recommended text to put into the book.
> 
> 
=================================================
--enable-perlinterp     Include Perl interpreter.
--enable-pythoninterp   Include Python interpreter.
--enable-tclinterp      Include Tcl interpreter.
--enable-rubyinterp     Include Ruby interpreter.
================================================
I think the above text is enough.

Ofcourse as optional,see my patch in the ticket.   



More information about the blfs-book mailing list